package com.nifty.cloud.ncs.service;

import com.nifty.cloud.ncs.NiftyCloudServiceException;

/**
 * NiftyCloudServiceExceptionの拡張例外クラスです。
 *
 */
public class StorageException extends NiftyCloudServiceException
{
	/**
	 *
	 */
	private static final long serialVersionUID = 3728207758132967994L;

	private String extendedRequestId;

	/**
	 * 指定したメッセージを使用して新しいNiftyCloudServiceExceptionを生成します。
	 *
	 * @param message
	 *  例外発生理由
	 */
	public StorageException(String message)
	{
		super(message);
	}

    /**
     * ニフクラストレージの拡張要求IDを設定します。
     *
     * @param extendedRequestId
     *   ニフクラストレージの拡張要求ID
     *
     */
	public void setExtendedRequestId(String extendedRequestId)
	{
		this.extendedRequestId = extendedRequestId;
	}

    /**
     * ニフクラストレージの拡張要求IDを取得します。
     *
     * @return NIFCLOUD Storage's extended request ID.
     * ニフクラストレージの拡張要求ID
     *
     */
	public String getExtendedRequestId()
	{
		return (extendedRequestId);
	}
}
